export function check_type<T>(obj: unknown, check_proto: Record<string, string | undefined>): obj is T {
	if (typeof obj !== "object" || obj === null) return false;
	for (const it in check_proto) {
		let defined = check_proto[it];
		if (defined === undefined) return false;
		defined = defined.trim();
		if (defined.endsWith("[]")) {
			if (!Array.isArray((obj as Record<string, unknown>)[it])) {
				return false;
			}
		// biome-ignore lint/suspicious/useValidTypeof: <explanation>
		} else if (defined !== typeof (obj as Record<string, unknown>)[it]) {
			return false;
		}
	}
	return true;
}
